Some architectures define an extern function called resume(), which
clashes with a static function in dm-ioctl-v4.c.  Rename static one to
do_resume().
--- diff/drivers/md/dm-ioctl-v4.c	2003-08-01 10:00:16.000000000 +0100
+++ source/drivers/md/dm-ioctl-v4.c	2003-08-01 10:00:29.000000000 +0100
@@ -594,7 +594,7 @@
 	return dm_hash_rename(param->name, new_name);
 }
 
-static int suspend(struct dm_ioctl *param)
+static int do_suspend(struct dm_ioctl *param)
 {
 	int r = 0;
 	struct mapped_device *md;
@@ -613,7 +613,7 @@
 	return r;
 }
 
-static int resume(struct dm_ioctl *param)
+static int do_resume(struct dm_ioctl *param)
 {
 	int r = 0;
 	struct hash_cell *hc;
@@ -676,9 +676,9 @@
 static int dev_suspend(struct dm_ioctl *param, size_t param_size)
 {
 	if (param->flags & DM_SUSPEND_FLAG)
-		return suspend(param);
+		return do_suspend(param);
 
-	return resume(param);
+	return do_resume(param);
 }
 
 /*
